<?xml version="1.0" encoding="UTF-8"?>
<!-- Alison Chaiken, 650-279-5600,alchaiken@gmail.com, sole author and originator -->
<!-- Released under GPL3 -->
<!-- Free beer *and* freedom! -->
<!-- This stylesheet is useful for transforming XML resume data into nicely formatted and valid XHTML Strict -->
<!-- Syntax: java ResumeParser ResumeIn.xml XHTMLresume.xsl ResumeOut.html -->

<!DOCTYPE stylesheet
     PUBLIC "-//W3C//DTD XSLT 1.0//EN"
     "http://www.w3.org/1999/11/xslt10.dtd"
     []>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:strip-space elements="*" />

<!-- Note nested quotes below; they are necessary. -->
<xsl:variable name="curr_theme" select="'software'"/>

<xsl:variable name="exp_area_count" select="count(/resume/expertise/exp_area)" /> 

<xsl:variable name="matching_exp_area_count"> 
	<xsl:value-of select="count(/resume/expertise/exp_area[@theme='' or @theme=$curr_theme])"/>
</xsl:variable>

<!-- the variable is of type string, not a node-list -->
<xsl:variable name="matchingExpAreaList">
	<xsl:for-each select="/resume/expertise/exp_area[@theme='' or @theme=$curr_theme]">
		<xsl:value-of select="."/>,
	</xsl:for-each>
</xsl:variable>

<!--  exptempvar has type "SimpleResultTreeImpl", not "nodeset"
http://www.dpawson.co.uk/xsl/sect2/N5982.html
When you set a parameter or variable value using the content of the parameter or variable, then you create a "result tree fragment".
Result tree fragments aren't the same as source nodes, and you can do only limited things with them. One of the things that you *can't* do is process them in any way.
Some processors have extension functions that allow you to convert result tree fragments into node sets. xt:node-set() saxon:node-set() xalan:node-set()
http://www.biglist.com/lists/xsl-list/archives/200304/msg01255.html
 -->
<!-- <xsl:variable name="exptempvar">
	<xsl:choose>
    	<xsl:when  test="'foo' = 'all'">
    		<xsl:copy select="/resume/expertise/exp_area"/>
	</xsl:when>
    <xsl:otherwise>
    	<xsl:copy select="/resume/expertise/exp_area[@theme='' or @theme=$curr_theme]"/>
    </xsl:otherwise>
	</xsl:choose> 
</xsl:variable>
-->

<xsl:variable name="mungedExpAreaList">
 	<xsl:call-template name="mungedElementList">
 	<!-- The mungedList param is a nodeset, not a result tree -->
<!-- 		<xsl:with-param name="mungedList" select="$exptempvar"/> -->
		<xsl:with-param name="mungedList" select="/resume/expertise/exp_area[@theme='' or @theme=$curr_theme]"/>
		<xsl:with-param name="listCounter" select="1"/>
    </xsl:call-template>
 </xsl:variable>
  
  <xsl:variable name="mungedSkillList">
    <xsl:call-template name="mungedElementList">
      <xsl:with-param name="mungedList" select="/resume/skills/skill[@theme='' or @theme=$curr_theme]"/>
      <xsl:with-param name="listCounter" select="1"/>
    </xsl:call-template>
  </xsl:variable>

</xsl:stylesheet>