<?xml version="1.0" encoding="UTF-8"?>
<!-- Alison Chaiken, 650-279-5600,alchaiken@gmail.com, sole author and originator -->
<!-- Released under GPL3 -->
<!-- Free beer *and* freedom! -->
<!-- This stylesheet is useful for transforming XML resume data into nicely formatted and valid XHTML Strict -->
<!-- Syntax: java ResumeParser ResumeIn.xml XHTMLresume.xsl ResumeOut.html -->

<!DOCTYPE stylesheet
     PUBLIC "-//W3C//DTD XSLT 1.0//EN"
     "http://www.w3.org/1999/11/xslt10.dtd"
     [
<!ENTITY space "<xsl:text> </xsl:text>">
<!ENTITY cr "<xsl:text>
</xsl:text>">
<!ENTITY FormattedName SYSTEM "FormattedName.xsl">
]>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="name">
		<xsl:value-of select="givenname"></xsl:value-of>
		<xsl:value-of select="nickname"></xsl:value-of>
		<xsl:value-of select="surname"></xsl:value-of>
		<xsl:value-of select="suffix"></xsl:value-of>
		<xsl:value-of select="middlename"></xsl:value-of>
	</xsl:template>
	<xsl:template match="contact_info">
		<xsl:value-of select="street"/>
		<xsl:value-of select="unit_number"/>
		<xsl:value-of select="city"/>
		<xsl:value-of select="state"/>
		<xsl:value-of select="zip"/>
		<xsl:value-of select="child::cell"/>
		<xsl:value-of select="child::home"/>
		<xsl:value-of select="child::work"/>
		<xsl:value-of select="url"/>
		<xsl:value-of select="IRC"/>
		<xsl:value-of select="Twitter"/>
	</xsl:template>
	<xsl:template match="school_name">
	<!--  Tags like <h1>, <h2> cannot be inside paragraphs, spans or divs, while mark-up like <em> or <b> must be. -->	
		<b>
			<xsl:if test="string-length(@school_uri) > 0">
				<a><xsl:attribute name="href"><xsl:value-of select="@school_uri" /></xsl:attribute><xsl:value-of select="." /></a>
			</xsl:if>
			<xsl:if test="string-length(@school_uri) = 0">
				<xsl:value-of select="." />
			</xsl:if>
		</b>
	</xsl:template>
	<xsl:template match="act_name">
			<xsl:if test="string-length(@act_uri) > 0">
				<a>
					<xsl:attribute name="href"><xsl:value-of
						select="@act_uri" /></xsl:attribute>
					<xsl:value-of select="." />
				</a>
			</xsl:if>
			<xsl:if test="string-length(@act_uri) = 0">
				<xsl:value-of select="." />
			</xsl:if>
	</xsl:template>
	
	<!--  only used when (count(course) = 1) -->
	<xsl:template match="course">
		course &space;
		<xsl:if test="(string-length(../instructor) = 0)">
			<xsl:text>"</xsl:text>
			<xsl:if test="string-length(@course_uri) > 0">
				<a>
					<xsl:attribute name="href">
																					<xsl:value-of select="@course_uri" />
																				</xsl:attribute>
					<xsl:value-of select="." />
				</a>
			</xsl:if>
			<xsl:if test="string-length(@course_uri) = 0">
				<xsl:value-of select="." />
			</xsl:if>
			<xsl:text>."</xsl:text>
		</xsl:if>
		<xsl:if test="(string-length(../instructor) > 0)">
			&quot;
			<xsl:if test="string-length(@course_uri) > 0">
				<a>
					<xsl:attribute name="href">
																					<xsl:value-of select="@course_uri" />
																				</xsl:attribute>
					<xsl:value-of select="." />
				</a>
			</xsl:if>
			<xsl:if test="string-length(@course_uri) = 0">
				<xsl:value-of select="." />
			</xsl:if>
			&quot;
			by
			<xsl:value-of select="../instructor" />
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="increm_counter">	
   		<xsl:param name="i"/>
        <xsl:value-of select="$i + 1" />
	</xsl:template>
	

<xsl:template name="mungedElementList">
  	<xsl:param name="mungedList"/>
  	<xsl:param name="listCounter"/>
 	<xsl:choose>
     	<xsl:when test="$mungedList[1]">
      		<xsl:variable name="recursive_result">
				<xsl:call-template name="mungedElementList">
    	   			<xsl:with-param name="mungedList" select="$mungedList[position() > 1]"/>
    	   			<xsl:with-param name="listCounter" select="$listCounter + 1"/>
    			</xsl:call-template>
      		</xsl:variable>
      		<xsl:if test="$listCounter &gt; 1">
				<xsl:value-of select="concat($recursive_result,$mungedList[1])"/>,
     		</xsl:if>
     		<xsl:if test="$listCounter = 1">
				<xsl:value-of select="concat($recursive_result,' and ',$mungedList[1])"/>.
     		</xsl:if> 
    	</xsl:when>
    	<xsl:otherwise><xsl:value-of select="''"/></xsl:otherwise> 
	</xsl:choose> 
</xsl:template>
	
	
</xsl:stylesheet>
